/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Simple Timer + Clocks.
 *
 * The Initial Developer of the Original Code is
 *   George Bradt.
 *
 * Portions created by the Initial Developer are Copyright (C) 2009
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   George Bradt.
 *
 * Credits:
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

var SimpleClocksTimerComplete = {
    // Called when loading Timer Completed dialog.

    onLoadTimerComplete: function() {
        var strbundle = document.getElementById("simclk-strings");

        document.title = strbundle.getString("msg.complete.time") +
                " " + window.opener.SimpleClocks.displayClock("dialog");
        document.getElementById("simclk-timcptMsg").value =
                window.arguments[0].inn.msg;

        var url = window.arguments[0].inn.url;

        document.getElementById("simclk-timcptUrl").value = ( url.length > 70 ) ?
                url.substr(0, 70) + "..." : url;

        document.getElementById("simclk-dlgTimerComplete").getButton("accept").hidden =
                ( url ) ? false : true;
    },

    // Called when clicking URL in Timer Completed dialog.

    onClickUrl: function() {
        if ( window.arguments[0].inn.url ) {
            SimpleClocks.openLink(window.arguments[0].inn.url);
            window.opener.SimpleClocks.clearTimerCompleteInterval();
            window.close();
        }
     },

    // Debug messages to console.

    debug: function(aMsg) {
        setTimeout(function() { throw new Error("[debug] " + aMsg); }, 0);
    }
};